
#include "dk.h"

#include <stdio.h>

#if DK_HAVE_STRING_H
#include <string.h>
#endif

#if DK_HAVE_STRINGS_H
#include <strings.h>
#endif

#if DK_HAVE_STDLIB_H
#include <stdlib.h>
#endif

#if DK_HAVE_UNISTD_H
#include <unistd.h>
#endif

#if DK_HAVE_PROCESS_H
#include <process.h>
#endif



#ifndef INCLUDEDIR
#ifdef PREFIX
#define INCLUDEDIR PREFIX "/include"
#else
#define INCLUDEDIR "/usr/local/include"
#endif
#endif

#ifndef LIBDIR
#ifdef PREFIX
#define LIBDIR PREFIX "/lib"
#else
#define LIBDIR "/usr/local/lib"
#endif
#endif



static char str_includedir[] = { "includedir" };
static char str_libdir[] = { "libdir" };

static char dir_include[] = { INCLUDEDIR };
static char dir_lib[] = { LIBDIR };



#if DK_HAVE_PROTOTYPES
int main(int argc, char *argv[] )
#else
int main(argc, argv) int argc; char *argv[];
#endif
{
  int back = 0;
  FILE *inf;
  FILE *of;
  char buffer[8192], *p1, *p2, *p3;

  if(argc > 2) {
    inf = fopen(argv[1], "r");
    if(inf) {
      of= fopen(argv[2], "w");
      if(of) {
	while(fgets(buffer, sizeof(buffer), inf)) {
	  p1 = strchr(buffer, '@');
	  if(p1) {
	    p2 = p1; p2++;
	    p2 = strchr(p2, '@');
	    if(p2) {
	      *p1 = '\0'; *p2 = '\0';
	      p3 = p1; p3++;
	      if(strcmp(p3, str_includedir) == 0) {
		fputs(buffer, of);
		fputs(dir_include, of);
		p2++;
		fputs(p2, of);
	      } else {
		if(strcmp(p3, str_libdir) == 0) {
		  fputs(buffer, of);
		  fputs(dir_lib, of);
		  p2++;
		  fputs(p2, of);
		} else {
		  *p1 = '@'; *p2 = '@';
		  fputs(buffer, of);
		}
	      }
	    } else {
	      fputs(buffer, of);
	    }
	  } else {
	    fputs(buffer, of);
	  }
	}
	fclose(of);
      }
      fclose(inf);
    }
  }
  exit(back);
  return back;
}

#ifndef LINT
static char sccs_id[] = { "@(#)rwperlmk.ctr 1.1 12/15/09" };
#endif

